-- My initial attempt to trying to use catppuccin...may revisit later so keeping it
require("catppuccin").setup({
    flavour = "mocha", -- latte, frappe, macchiato, mocha
    background = { -- :h background
        light = "latte",
        dark = "mocha",
    },
    transparent_background = false, -- disables setting the background color.
    show_end_of_buffer = false, -- shows the '~' characters after the end of buffers
    term_colors = false, -- sets terminal colors (e.g. `g:terminal_color_0`)
    dim_inactive = {
        enabled = true, -- dims the background color of inactive window
        shade = "light",
        percentage = 0.15, -- percentage of the shade to apply to the inactive window
    },
    no_italic = false, -- Force no italic
    no_bold = false, -- Force no bold
    no_underline = false, -- Force no underline
    styles = { -- Handles the styles of general hi groups (see `:h highlight-args`):
        comments = { "italic" }, -- Change the style of comments
        conditionals = { "italic" },
        loops = {},
        functions = {},
        keywords = {},
        strings = {},
        variables = {},
        numbers = {},
        booleans = {},
        properties = {},
        types = {},
        operators = {},
    },
    color_overrides = {
        mocha = {
            base = "#000000",
            mantle = "#000000",
            crust = "#000000",
        },
    },
    custom_highlights = {
        -- ["@keyword"] = {fg = '${green}'},
        -- ["@string"] = {fg = '#ff9900'},
        -- ["@function"] = {fg = '#00ccff', italic=true, underline=true},
        -- ["@function.builtin"] = {fg = '#0059ff'},
        -- ["@variable"] = {fg = '#00FF88'},
    },
    integrations = {
        cmp = true,
        gitsigns = true,
        nvimtree = true,
        neotree = true,
        treesitter = true,
        notify = false,
        mini = {
            enabled = true,
            indentscope_color = "",
        },
        -- For more plugins integrations please scroll down (https://github.com/catppuccin/nvim#integrations)
    },
})

-- setup must be called before loading
-- vim.cmd.colorscheme "catppuccin"

require('onedarkpro').setup {
    -- colors = {
    --     green = '#00ffaa',            -- redefine an existing color
    -- },
    highlights = {
        SpellBad = { sp = "${red}", undercurl = true },
        SpellCap = { sp = "${red}", undercurl = true },
        SpellRare = { sp = "${red}",  undercurl = true },
        SpellLocal = { sp = "${red}", undercurl = true },
        ["@keyword"] = {fg = '${green}'},
        ["@string"] = {fg = '#ff9900'},
        ["@function"] = {fg = '#00ccff', italic=true, underline=true},
        ["@function.builtin"] = {fg = '#0059ff'},
        ["@variable"] = {fg = '#00FF88'},
    }
}

-- vim.cmd("colorscheme onedark_dark")
vim.cmd("colorscheme wildcharm")
